### Function

# FwupdPlugin ErrorMapEntry to_gerror

#### Declaration [src]

    gboolean
    fu_error_map_entry_to_gerror (
      guint value,
      const FuErrorMapEntry* entries,
      guint n_entries,
      GError** error
    )

#### Description [src]

Sets the `GError` from the integer value and the error map.

Any entries with a error_code of `FWUPD_ERROR_LAST` will return success.

Available since: | 2.0.13

#### Parameters

`value` | `guint`
| The value to look up.
`entries` | `FuErrorMapEntry`
| The `FuErrorMapEntry` map.
| The data is owned by the caller of the function.
`n_entries` | `guint`
| Number of `entries`.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| Boolean success.